# class ActiveRecord::AttributeAssignmentError

Raised when an error occurred while doing a mass assignment to an attribute through the ActiveRecord::Base#attributes= method. The exception has an `attribute` property that is the name of the offending attribute.

### Attributes

attribute[R]
exception[R]

### Public Class Methods

new(message = nil, exception = nil, attribute = nil) click to toggle source
Calls superclass method

    # File lib/active_record/errors.rb, line 252
    def initialize(message = nil, exception = nil, attribute = nil)
      super(message)
      @exception = exception
      @attribute = attribute
    end